#include "dlgabout.h"


dlgAbout::dlgAbout(Widget top){
    Widget  lbl, tform;
    char    t[50]="";

    dialog = XtVaCreatePopupShell("About EyeFract", xmDialogShellWidgetClass, top,
				  XmNx,    100,       XmNy,     100,
				  XmNwidth,           200,
				  XmNheight,          200,
				  XmNresizePolicy,    XmRESIZE_NONE,
				  XmNdeleteResponse,  XmDESTROY,
				  NULL);

    aboutPane = XtVaCreateWidget("aboutPane", xmPanedWindowWidgetClass, dialog,
                     XmNsashWidth,   1,
                     XmNsashHeight,  1,
                     NULL);

    tform  = XtVaCreateManagedWidget("top", xmFormWidgetClass, aboutPane,
                     XmNnumColumns,          3,
				     XmNfractionBase,    5,
                     XmNorientation,         XmHORIZONTAL,
                     XmNpacking,             XmPACK_COLUMN,
                     XmNleftAttachment,      XmATTACH_FORM,
                     XmNbottomAttachment,    XmATTACH_FORM,
                     XmNtopAttachment,       XmATTACH_FORM,
                     NULL);

    sprintf(t, "EyeFract %s", VERSION);
    lbl = XtVaCreateManagedWidget(t, xmLabelWidgetClass, tform, 
                     XmNtopAttachment,  XmATTACH_FORM,
                     NULL);
    sprintf(t, "David Eyerman");
    lbl = XtVaCreateManagedWidget(t, xmLabelWidgetClass, tform,
                     XmNtopAttachment,  XmATTACH_WIDGET,
                     XmNtopWidget,      lbl,
                     XmNtopOffset,      8,
                     NULL);
    sprintf(t, "%s", EMAIL);
    lbl = XtVaCreateManagedWidget(t, xmLabelWidgetClass, tform,
                     XmNtopAttachment,  XmATTACH_WIDGET,
                     XmNtopWidget,      lbl,
                     NULL);
    sprintf(t, "http://hops.cs.jhu.edu/~dee1/eyefract.html");
    lbl = XtVaCreateManagedWidget(t, xmLabelWidgetClass, tform,
                     XmNtopAttachment,  XmATTACH_WIDGET,
                     XmNtopWidget,      lbl,
                     NULL);
    
    lbl = XtVaCreateManagedWidget("OK", xmPushButtonGadgetClass, tform,
				  XmNleftAttachment,    XmATTACH_POSITION,
				  XmNleftPosition,      1,
				  XmNrightAttachment,   XmATTACH_POSITION,
				  XmNrightPosition,     4,
				  XmNtopAttachment,     XmATTACH_WIDGET,
				  XmNtopWidget,         lbl,
				  XmNtopOffset,         20,
				  XmNshowAsDefault,     true,
				  XmNdefaultButtonShadowThickness,    1,
				  NULL);
    XtAddCallback(lbl, XmNactivateCallback, (XtCallbackProc) close_dialog, dialog);

    XtManageChild(aboutPane);
    XtManageChild(dialog);

}

dlgAbout::~dlgAbout(){
  XtDestroyWidget(aboutPane);
  XtDestroyWidget(dialog);
}
